- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: fae04cde-1cd9-413b-a0e5-2d73b39f91af
    creation_time: 2023-02-17T13:36:03.707682Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/loop-invgen/id_build.i
      input_file_hashes:
        c/loop-invgen/id_build.i: 2c4c8975bee6324b0c0486aa99ba8be369d6762a33e8dd5b012191d5fa43c106
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-invgen/id_build.i
    file_hash: 2c4c8975bee6324b0c0486aa99ba8be369d6762a33e8dd5b012191d5fa43c106
    line: 27
    column: 0
    function: main
  loop_invariant:
    string: i >= 0
    type: assertion
    format: C

- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: e0ac204b-9da4-4f05-bdcc-af9b2a35147b
    creation_time: 2023-02-17T13:36:03.707861Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/loop-invgen/id_build.i
      input_file_hashes:
        c/loop-invgen/id_build.i: 2c4c8975bee6324b0c0486aa99ba8be369d6762a33e8dd5b012191d5fa43c106
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-invgen/id_build.i
    file_hash: 2c4c8975bee6324b0c0486aa99ba8be369d6762a33e8dd5b012191d5fa43c106
    line: 28
    column: 0
    function: main
  loop_invariant:
    string: 0 <= nlen - 1 - i && nlen - 1 - i < nlen
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 55c2bb03-87d0-477b-b4bc-cabd3cda8145
    creation_time: 2023-02-17T13:36:03.708144Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/loop-invgen/id_build.i
      input_file_hashes:
        c/loop-invgen/id_build.i: 2c4c8975bee6324b0c0486aa99ba8be369d6762a33e8dd5b012191d5fa43c106
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-invgen/id_build.i
    file_hash: 2c4c8975bee6324b0c0486aa99ba8be369d6762a33e8dd5b012191d5fa43c106
    line: 31
    column: 0
    function: main
  location_invariant:
    string: 0 <= nlen - 1 - i
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 19e03be8-5d8b-4be9-972e-ee4d1ba501a2
    creation_time: 2023-02-17T13:36:03.708224Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/loop-invgen/id_build.i
      input_file_hashes:
        c/loop-invgen/id_build.i: 2c4c8975bee6324b0c0486aa99ba8be369d6762a33e8dd5b012191d5fa43c106
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-invgen/id_build.i
    file_hash: 2c4c8975bee6324b0c0486aa99ba8be369d6762a33e8dd5b012191d5fa43c106
    line: 31
    column: 0
    function: main
  location_invariant:
    string: nlen - 1 - i < nlen
    type: assertion
    format: C

